Bug 437459 - Intel ICH9 soundcard fails
Summary: Intel ICH9 soundcard fails
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 5.2
Hardware: i586
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Jaroslav Kysela
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-14 11:13 UTC by Bjorn S. Nilsson
Modified: 2008-06-17 09:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-17 09:30:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Merged scsconfig.log and scsrun.log (43.57 KB, text/plain)
2008-03-14 11:13 UTC, Bjorn S. Nilsson
no flags Details
scsconfig.log files with alsa drivers 1.0.16 (47.32 KB, text/plain)
2008-03-27 17:09 UTC, Bjorn S. Nilsson
no flags Details

Description Bjorn S. Nilsson 2008-03-14 11:13:06 UTC
Description of problem:


Version-Release number of selected component (if applicable): 5.2 beta


How reproducible: 100%


Steps to Reproduce:
1. Fresh install
2. Try to configure sound device
3. Enjoy the silence
  
Actual results: Failure


Expected results: Test sound


Additional info: Audio configuration displays sound device as an Intel ICH9
82801I card but there is no sound generated. Also, the PCM device field is blank.

Comment 1 Bjorn S. Nilsson 2008-03-14 11:13:06 UTC
Created attachment 298041 [details]
Merged scsconfig.log and scsrun.log

Comment 2 Jaroslav Kysela 2008-03-17 14:58:19 UTC
The log contains message "Too many connections". The audio codec failed to
initalize. From subsystem PCI ID, it's a system with a Realtek HDA codec.


Comment 4 Bjorn S. Nilsson 2008-03-27 17:07:22 UTC
Today I compiled and installed alsa drivers version 1.0.16, and now the sound
works! So, the solution is an upgrade to the latest alsa verision, or a
corresponding backport. I enclose the new scsconfig.log file.

Thanks,

Bjorn


Comment 5 Bjorn S. Nilsson 2008-03-27 17:09:22 UTC
Created attachment 299361 [details]
scsconfig.log files with alsa drivers 1.0.16

Comment 6 Jaroslav Kysela 2008-04-07 11:34:37 UTC
Please, attach output or URL from alsa-info.sh script to get codec information
(when working ALSA 1.0.16 is active). 
http://www.alsa-project.org/main/index.php/Help_To_Debug

Thanks

Comment 7 Bjorn S. Nilsson 2008-04-10 15:01:14 UTC
Unfortunately, the machine in question has been reinstalled with CentOS 5.1.
However, the sound card problem is the same. I therefore ran the alsa-info.sh
script which was uploaded to http://pastebin.ca/979666 I hope this helps.
Thanks,

Bjorn S. Nilsson


Comment 8 Jaroslav Kysela 2008-06-17 09:30:53 UTC
Because we lost test machine, I mark this bug as insufficient data.


Note You need to log in before you can comment on or make changes to this bug.